#Интерфейс взаимодействия с окружением подземелья

label lb_stats:
    $ endgame_time = False
    $ endgame_health = False
    $ hls = '♥' * health 
    $ if remainig_time < 1: endgame_time = True
    $ if health < 1: endgame_health = True
    if endgame_health:
        jump lb_gameover_health
    elif endgame_time:
        jump lb_gameover_time
    show overlay onlayer overlay
    show text('{color=#000}[remainig_time]{/color}') at Position(xalign=.93, yalign=.09) onlayer overlay    
    return

label lb_interface_room:
    call lb_stats
    $ dragon_hoard = False
    $ if room[(ns,ow)]['random_encounter'] == 'dragon': dragon_hoard = True
    $ dungeon_exid = room[(ns,ow)]['dungeon_exid']
        
    menu:
        "   [outp]"
        "Выудить сокровища из драконьей кучи" if dragon_hoard:
            python:
                n = 10 - times_looted
                chance = d(n)
                times_looted += 1
                remainig_time -= 1
                if chance == 1: dragon_rises = True
            if dragon_rises: 
                jump lb_dragon_rises
            jump lb_loot_dragon

        "Выбраться на поверхность с награбленным" if dungeon_exid and gold >= 1:
            jump lb_win

        "Идти на север" if exit_type[0] == 'clear': 
            $ direction = 0
            jump move_to_new_room

        "Дверь на север" if exit_type[0] == 'door': 
            $ direction = 0
            jump lb_door_menu
            
        "{color=#a00}Поднять северную решетку{/color}" if exit_type[0] == 'porticulus': 
            $ direction = 0
            jump lb_porticulus_up

        "Идти на юг" if exit_type[1] == 'clear': 
            $ direction = 1
            jump move_to_new_room

        "Дверь на юг" if exit_type[1] == 'door': 
            $ direction = 1
            jump lb_door_menu
            
        "{color=#a00}Поднять южную решетку{/color}" if exit_type[1] == 'porticulus': 
            $ direction = 1
            jump lb_porticulus_up

        "Идти на восток" if exit_type[2] == 'clear': 
            $ direction = 2
            jump move_to_new_room

        "Дверь на восток" if exit_type[2] == 'door': 
            $ direction = 2
            jump lb_door_menu

        "{color=#a00}Поднять восточную решетку{/color}" if exit_type[2] == 'porticulus': 
            $ direction = 2
            jump lb_porticulus_up
            
        "Идти на запад" if exit_type[3] == 'clear': 
            $ direction = 3
            jump move_to_new_room

        "Дверь на запад" if exit_type[3] == 'door': 
            $ direction = 3
            jump lb_door_menu

        "{color=#a00}Поднять западную решетку{/color}" if exit_type[3] == 'porticulus': 
            $ direction = 3
            jump lb_porticulus_up

        "Ограбить саркофаг" if room[(ns,ow)]['random_encounter'] == 'sarcophagus': 
            python:
                room[(ns,ow)]['random_encounter'] = 'empty'
                chance = d(6)
                
            if chance == 1:
                jump lb_crypt_skeleton
            elif chance == 2:
                jump lb_crypt_treasure
                
            jump lb_crypt_treasure
            
        "Вскрыть печать на кувшине" if room[(ns,ow)]['random_encounter'] == 'jug': 
            python:
                room[(ns,ow)]['random_encounter'] = 'empty'
                chance = d(3)
                
            if chance == 1:
                jump lb_jug_demon
            elif chance == 2:
                jump lb_jug_jinn
            jump lb_jug_wine
            
        "Взломать сундук" if room[(ns,ow)]['random_encounter'] == 'treashure_chest': 
            python:
                room[(ns,ow)]['random_encounter'] = 'empty'
                chance = d(6)
                
            if chance == 1:
                jump lb_mimik_chest
            elif chance == 2:
                jump lb_traped_chest
            jump lb_treasute_found
            
        "Обшарить труп предсшественника" if room[(ns,ow)]['random_encounter'] == 'corpse': 
            python:
                room[(ns,ow)]['random_encounter'] = 'empty'
                chance = d(6)
                
            if chance == 1:
                jump lb_corpse_skeleton
            elif chance == 2:
                jump lb_corpse_trap
            jump lb_corpse_loot
            
        "Обшарить таинственную щель" if hidden_feature: 
            python:
                hidden_feature = False
                chance = d(6)
                
            if chance == 1:
                jump lb_hole_snake
            elif chance == 2:
                jump lb_hole_trap
            jump lb_hole_loot
            
        "Обыскать комнату" if room[(ns,ow)]['searchable']:
            $ room[(ns,ow)]['searchable'] = False
            $ remainig_time -= 1
            jump lb_room_search
     
    return

#Проходы и переходы
label move_to_new_room:
    hide monster  
    python:
        chance = d(6)
        if chance == 6: porticulus = True
        if direction == 0: ns += 1
        if direction == 1: ns -= 1
        if direction == 2: ow -= 1
        if direction == 3: ow += 1  
        
    jump lb_room_generator
    
label lb_door_menu:
    
    hide bg
    show bg door with zoomin    
    call lb_stats
    python:
        door_traped = True
        door_locked = True
        chance = d(2)    
        if chance == 2:
            door_traped = False
        chance = d(2)
        if chance == 2:
            door_locked = False            
    
    menu:
        "Двери в этом подземелье могут быть очень коварны..."
        "Подёргать дверь за ручку":
            jump lb_door_open
            
        "{color=#a00}Выбить дверь с ноги{/color}":
            jump lb_door_force
            
        "{color=#00a}Аккуратно вскрыть дверь{/color}": 
            jump lb_door_pickalock
            
        "Оставить дверь в покое":
            show bg
            jump lb_interface_room
            
label lb_door_open:
    if door_traped:
        $ health -= 1
        play sound "sound/arrow.ogg"          
        show bg blood as bld with dissolve
        play sound "sound/grunt.ogg"   
        hide bld with fade
        "Проклятье! На дверной руке была спрятана смазанная ядом игла. Можно не сомневаться что для здоровья это не полезно..."
    if door_locked:
        "Эта дверь надёжно заперта. Открыть её дергая за ручку вряд-ли получится. Надо применить какой-то более действенный метод."
        show bg
        jump lb_interface_room
    else:
        "К счастью дверь оказалась не заперта и просто открылась. Можно идти дальше."
        $ door_stay_open()
        jump move_to_new_room

label lb_door_force:
    if door_traped:
        $ health -= 1
        play sound "sound/arrow.ogg"          
        show bg blood as bld with dissolve
        play sound "sound/grunt.ogg"   
        hide bld with fade
        "Над дверью спрятан автоматический арбалет! Стоило к ней прикоснуться и он выстрелил. Хорошо хоть стрела не отравлена..."
    $ succes = roll_atr(strength)
    $ remainig_time -= 1
    if succes:
        "Разогнавшись и ударив изо всех сил, дверь удаётся высадить. Проход открыт, теперь можно двигаться дальше."
        $ door_stay_open()
        jump move_to_new_room
    else:
        $ health -= 1
        "Чертова дверь слишком прочная. Только ноги об неё ломать..."
        show bg
        jump lb_interface_room

        
label lb_door_pickalock:        
        $ remainig_time -= 1
        $ succes = roll_atr(concentration)
        if succes:
            "Не забывая о том что спешка вредит здовровью, вы внимательно осматриваете дверь на предмет скрытых ловушек, а затем достаёте набор взломщика и аккуратно вскрываете замок. Готово!"
            $ door_stay_open()
            jump move_to_new_room
        else:
            "Замок тут весьма хитрый. Провозившись с ним целую минуту, приходится признать что открыть его будет сложновато. Можно попробовать ещё разок, но времени остаётся все меньше..."
            jump lb_interface_room

label lb_porticulus_up:
    show bg porticulus
    $ succes = roll_atr(strength)
    if succes: 
        "Решетку удается поднять только напряжением всех доступных сил. Зато проход снова открыт."
        $ room[(ns,ow)]['exides'][direction] = 'clear'
        jump lb_room_generator
    else:
        $ remainig_time -= 1
        play sound "sound/grunt.ogg"   
        "Эта решетка слишком тяжелая. Только время зря потратил"
        show bg with zoomin
    jump lb_interface_room

#Поиски в комнате
label lb_room_search:
    python:
        hidden_door = False
        hidden_feature = False
        i = rnd(0,3)
        if room[(ns,ow)]['exides'][i] == "clear":
            hidden_feature = True
        if room[(ns,ow)]['exides'][i] == "wall":
            room[(ns,ow)]['exides'][i] = "clear"
            hidden_door = True
            
    if hidden_feature:
        'В одной из стен нашелся расшатавшийся кирпич, скрывающий узкую дырку как раз достаточную чтобы пролезла рука. В глубине что-то заманчиво поблескивает, но толком разглядеть не получается. Возможно это что-то ценное...'
    elif hidden_door:
        'При аккуратном осмотре стен, за одним из шкафов обнаруживается замаскированная ниша с потайным ходом.'
        jump lb_room_generator
    else:
        'На обыск команты ушла примерно минута времени. Ушла совершенно впустую - тут нет ничего интересного.'
    jump lb_interface_room

#Случайные встречи
label sarcophagus:
    
label empty:
    jump lb_interface_room   
    
label treashure_chest:
    hide bg
    show bg chest
    'В этой комнате у стены стоит здоровенный сундук, весьма серьёзного вида. В таких обычно хранят что-то ценное, но возможно это просто ловушка. Шарить по нему рискованно.'
    jump lb_interface_room   
    
label monster_golem:
    play sound "sound/monster.ogg"
    show monster golem with zoomin
    'Посреди комнаты стоит бдительный механический голем. Он охраняет это место и никому не даст пройти, но ещё не поздно отступить.'    
    $ direction = turn_back()
    menu:
        "Отступить назад" if exit_type[direction] == 'clear':
            jump move_to_new_room
        "Сразиться с механическим стражем":
            $ enemy = 'golem'
            jump lb_fight
    
label monster_troll:
    play sound "sound/monster.ogg"
    show monster troll with zoomin
    'Эту комнату облюбовал молодой пещерный тролль. Вряд ли он пропустит кого-то через своё логово без боя.'    
    $ direction = turn_back()
    menu:
        "Отступить назад" if exit_type[direction] == 'clear':
            jump move_to_new_room
        "Сразиться с пещерным троллем":
            $ enemy = 'troll'
            jump lb_fight
    
label monster_ratling:
    play sound "sound/monster.ogg"
    show monster ratling with zoomin
    'В этой комнате копается в мусоре здоровенный крысолак. Наверное он ищет еду. И хотя крысолаки легко едят падаль, от живого и сочного вора он тоже наверняка не откажется...'    
    $ direction = turn_back()
    menu:
        "Отступить назад" if exit_type[direction] == 'clear':
            jump move_to_new_room
        "Сразиться с крысолаком-падальщиком":
            $ enemy = 'ratling'
            jump lb_fight
            
label monster_spider:
    play sound "sound/monster.ogg"    
    show monster spider with moveintop
    'Под самым потолком комнаты свил себе гнездо гигантский паук. Дерганье паутины привлекло его внимание и он спускается чтобы пообедать.'    
    menu:
        "Сразиться с гигантским пауком":
            $ enemy = 'spider'
            jump lb_fight

label jug:
    'Среди мусора раскиданного по комнате валяется покрытый паутиной глиняный кувшин, запечатаный сургучной печатью со странным знаком. Это конечно не сокровище, но может быть внутри есть что-то?'
    jump lb_interface_room   

label lb_beggar:
    show bg beggar with hpunch    
    beggar 'Сокровище! Я хочу выбраться отсюда. Дай мне сокровище! Ты всё-равно сгинешь здесь, глупец. Дай мне сокровище чтобы меня выпустили наружу. Я слишком долго был тут. Сокровище! Я не отстану! СОКРОВИЩЕ!!!'
    menu:
        'Оттолкнуть попрошайку':
            $ chance = d(3)
            if chance == 1:
                show bg
                jump lb_beggar_demon
            else:
                show bg
                jump lb_interface_room
              
        'Дать ему часть добычи' if gold > 0:
            $ gold = gold/2
            $ room[(ns,ow)]['random_encounter'] = 'empty'
            show bg
            jump lb_interface_room

label lb_beggar_demon:
    play sound "sound/monster.ogg"
    show monster demon with hpunch    
    'Попрошайка отлетает в угол но тут де поднимается. Он словно бы распухает под своими грязными лохмотьями и вместо жалкого старикашки перед тобой встаёт жуткий демон.'
    demon 'Тебя мама не учила, что награбленным надо делиться, а? Ну ничего. Так мне больше достанется, трупу ведь ни к чему золото, верно, труп?'
    menu:
        "Сразиться с демоном":
            $ enemy = 'demon'
            jump lb_fight    

label corpse:
    hide bg
    show bg corpse
    'В этой комнате на полу валяется скелет твоего менее удачливого предсшественника. Суровое напоминание об опасностях подземелья... На трупе могут быть полезные вещи, но тревожить старые кости не всегда хорошая идея.'    
    jump lb_interface_room   
    
label darkness:
    '[outp]'    
    $ direction = turn_back()
    menu:
        "Отступить назад" if exit_type[direction] == 'clear':
            jump move_to_new_room
        "Искать проход на ощупь":
            $ u = -1
            $ exid_options = []
            python:
                for i in range(4):
                    if room[(ns,ow)]['exides'][i] == 'clear':
                        u += 1
            if u == -1:
                'Полчаса уже прошло а никакого выхода найти так и не удалось. Замуровали демоны... '
                jump lb_gameover
            python:
                choice = rnd(0,u)
                direction = choice
            'Пошарив в темноте примерно минуту и отбив себе палец о какой-то острый и твердый угол ты наконец то находишь выход. Не понятно в каком направлении...'
            jump move_to_new_room

label web:
    '[outp]'
    $ direction = turn_back()
    menu:
        "Отступить назад" if exit_type[direction] == 'clear':
            jump move_to_new_room
        "Попробовать прорваться сквозь паутину":
            $ succes = roll_atr(strength)
            $ remainig_time -= 1
            if succes:
                show bg with hpunch
                show bg with vpunch
                show bg with hpunch
                'Через минуту работы кинжалом, полного напряжения сил и поминания по маме всех пауков сколько их есть в этом подземелье, проход наконец удалось расчистить.'
                jump lb_interface_room   
            else:
                show bg with hpunch
                show bg with vpunch
                show bg with hpunch
                'Казалось бы, ну что можеть быть проще чем пустить насмарку работу трудолюбивого паучка? Но на самом деле эти нити не только прочные но ещё и невероятно липкие. Ты застрял как муха!'
                jump lb_web_cought            

label lb_web_cought:
    menu:
        'Дергаться в паутине':
            $ remainig_time -= 1
            $ succes = roll_atr(strength)  
            show bg with hpunch
            show bg with vpunch
            show bg with hpunch
            $ chance = d(3)
            if chance == 1:
                jump monster_spider
            if succes:
                'Через минуту работы кинжалом, полного напряжения сил и поминания по маме всех пауков сколько их есть в этом подземелье, проход наконец удалось расчистить.'
                jump lb_interface_room   
            else:
                'Проклятая паутина держит крепко. Может быть настало время паниковать?'
                jump lb_web_cought               

label torch_out:
    hide bg
    show bg bats
    with hpunch
    play sound "sound/bats.ogg"   
    hide bg
    show bg dark_room
    with dissolve
    'В этой комнате отдыхала целая стая нетопырей. Свет разбудил их и заставил бездумно кидаться на факел. Проклятые твари оставили тебя без света!'
    $ room[(ns,ow)]['random_encounter'] = 'empty'
    $ succes = roll_atr(luck)
    menu:
        '{color=#aa0}Попытаться зажечь факел{/color}':
            show bg with dissolve
            if succes:
                'К счатью факел удалось быстро разжечь снова. И нетопыри куда-то улетели. Ну и отлично!'
                jump lb_interface_room   
            else:
                hide bg
                show bg dark_room
                'Несколько раз чиркнув кресалом вы добиваетесь только снопа искр, но факел разгораться не желает. Придётся потратить на это больше времени...'
                jump lb_torch_lit

label lb_torch_lit:
    $ succes = roll_atr(luck)
    menu:
        '{color=#aa0}Попытаться зажечь факел ещё раз{/color}':
            show bg with fade
            if succes:
                'Немного повозившись с трутом и огнивом, факел удаётся наконец зажечь. Нетопыри уже куда-то улетели. Ну и скатертью дорожка. Никто по ним скучать не станет.'
                jump lb_interface_room   
            else:
                hide bg
                'Несколько раз чиркнув кресалом вы добиваетесь только снопа искр, но факел разгораться не желает. Придётся потратить на это больше времени...'
                jump lb_torch_lit    

#Обработка сундуков
label lb_mimik_chest:      
    play sound "sound/monster.ogg"   
    show monster mimic with vpunch
    'Стоило подойти к сундуку, как его крышка распахивается, обнажая два ряда острых зубов и бугристый язык. Сундук оказался притаившимся в засаде мимиком! Монстр стремительно отращивает лапы и нападает...'
    $ enemy = 'mimic'
    jump lb_fight
        
        
label lb_traped_chest:      
    play sound "sound/fire.ogg"   
    show bg fire with dissolve
    'Стоило приоткрыть крышку сундука, как он взрывается огненным шаром. Силой взрыва тебя отбросило к противоположной стене.'
    show bg with fade
    $ health -= 1
    jump lb_interface_room
    
label lb_treasute_found:      
    call lb_treasure_auto
    python:
        tr = treasure[treasure_found]['name']
        pr = treasure[treasure_found]['price']
    "В сундуке лежит [tr] ценой [pr]. Хорошая находка!"
    
    jump lb_interface_room

#Обшаривание трупа
label lb_corpse_skeleton:      
    play sound "sound/monster.ogg"   
    show monster skeleton with vpunch
    'Это не просто скелет - это притаившаяся в засаде нежить!'
    $ enemy = 'skeleton'
    jump lb_fight
                
label lb_corpse_trap:      
    show bg gas with dissolve
    'Этот скелет оказался хитроумно замаскированной ловушкой! Стоило пошевелить кости, как в черепе что-то хрустнуло и тебе в лицо с шипением ударила струя ядовитого зеленого газа.'
    show bg with fade
    $ health -= 1
    jump lb_interface_room
    
label lb_corpse_loot:      
    call lb_treasure_auto
    python:
        tr = treasure[treasure_found]['name']
        pr = treasure[treasure_found]['price']
    "При обыске тела удаётся обнаружить [tr] ценой [pr]. Хорошая находка!"
    
    jump lb_interface_room

#Вскрыть кувшин
label lb_jug_demon:
    play sound "sound/monster.ogg"
    show monster demon with pixellate    
    'Их под сломанной печати вырываются клубы дыма, которые сгущаясь формируются в страшного демона.'
    demon 'Хахаха!!! СВОБОДА! После стольких лет.'
    demon 'Что смотришь, смертный? Награду жешь? Не дождёшься. Благодарность моему народу не свойственна.'
    demon 'Я ОТОМЩУ ВСЕМУ МИРУ! И НАЧНУ С ТЕБЯ!!!'
    menu:
        "Сразиться с демоном":
            $ enemy = 'demon'
            jump lb_fight    

label lb_jug_jinn:
    play sound "sound/monster.ogg"
    show monster jinn with pixellate    
    'Их под сломанной печати вырываются клубы дыма, которые сгущаясь формируются в полупрозрачного джина.'
    jinn 'Хахаха!!! СВОБОДА! После стольких лет.'
    jinn 'Эй, смертный! Это ты осовободил меня? Не думай что я буду теперь тебе служить! Но одно желание так и быть, исполню... чтобы никто не говорил что джинам не ведома благодарность.'
    $ go_center = False
    $ go_out = False
    menu:
        "Хочу стать бессмертным":
            $ health = 15
            
        "Сделай меня сильнее всех":
            $ strength = 4
            
        "Хочу быть самым умным из воров":
            $ concentration = 4
            
        "Пусть мне сопутствует удача":
            $ luck = 4
            
        "Хочу самое ценное сокровище":
            $ gold += 3000            
            
        "Перенеси меня в центр подземелья":
            $ go_center = True
            
        "Перенеси меня к выходу из подземелья":
            $ go_out = True
        
    jinn 'Уже исполнено! А мне пора строить дворцы и разрушать города. Прощай.'
    hide monster with pixellate
        
    if go_center:
        $ ns = central_room_ns
        $ ow = central_room_ow
        hide bg with pixellate
        jump lb_room_generator
    elif go_out:
        $ ns = 0
        $ ow = 0
        hide bg with pixellate
        jump lb_room_generator            
        
    jump lb_interface_room

label lb_jug_wine:
    'В этом кувшине вино! Очень старое, крепкое и хорошее. Весьма освежает.'
    $ health += 1 
    jump lb_interface_room

#Обшаривание тайника
label lb_hole_snake:      
    'Внутри что-то чешйчатое и извиваюзщееся!'
    play sound "sound/monster.ogg"   
    show monster cobra with zoomin
    'Ко-о-обра! ЗДОРОВЕННАЯ кобра! Змея моих кошмаров!!!'
    $ enemy = 'cobra'
    jump lb_fight
                
label lb_hole_trap:      
    show bg with vpunch
    'Там на дне действительно что-то было... Небольшой рычажок ответсвенный за сброс большого и тяжелого камня на голову того идиота который сует руки куда ни попадя!'
    $ health -= 1
    jump lb_interface_room
    
label lb_hole_loot:      
    call lb_treasure_auto
    python:
        tr = treasure[treasure_found]['name']
        pr = treasure[treasure_found]['price']
    "В глубине дырки ты нашарил [tr] ценой [pr]. Хорошая находка!"
    jump lb_interface_room
    
#Обшаривание саркофага
label lb_crypt_skeleton:      
    play sound "sound/grunt.ogg"   
    show monster skeleton with vpunch
    'Под крышкой саркофага скрывался весьма агрессивный мертвец. Похоже он не их тех кто просто так отдаст свои похоронные сокровища первому встречному.'
    $ enemy = 'skeleton'
    jump lb_fight
                
label lb_crypt_trap:      
    show bg gas with dissolve
    'Этот саркофаг оказался ловушкой. При вскрытии крышки наружу вырываются клубы ядовитого зеленого дыма.'
    show bg with fade
    $ health -= 1
    jump lb_interface_room
    
label lb_crypt_treasure:      
    call lb_treasure_auto
    python:
        tr = treasure[treasure_found]['name']
        pr = treasure[treasure_found]['price']
    "Помимо старого но безвредного трупа в саркофаге удаётся обнаружить [tr] ценой [pr]. Ценная находка!"
    
    jump lb_interface_room
    
#Логово дракона
label lb_loot_dragon:      
    call lb_treasure_auto
    python:
        tr = treasure[treasure_found]['name']
        pr = treasure[treasure_found]['price']
    call lb_treasure_auto
    python:
        tr1 = treasure[treasure_found]['name']
        pr1 = treasure[treasure_found]['price']
    "Не разбудив дракона удаётся аккуратно вытащить только две вещи: [tr] ценой [pr] и [tr1] ценой [pr1]. Ящер всё ещё спит. Можно зайти с другой стороны и попытать счастья снова."
       
    jump lb_interface_room        
        
label lb_dragon_rises:     
    hide bg
    play sound "sound/dragon.ogg"   
    show bg fire with hpunch
    $ health -= 3
    'О нет! Дракон проснулся и выдыхнул пламя. Надо бежать!'
    jump lb_runaway
        

#Окончание игры        
label lb_win:
    python:
        oldscore = persistent.high_score
        score = gold
        if score > oldscore:
            highscore = True
            persistent.high_score = gold
    show bg chest
    if highscore:
        show text ("{font=fonts/DS_Kork.ttf}{size=+50}ПОБЕДА{/size}{/font}\n\n Добыча: [gold]\n\n Новый рекорд!") at Position(xalign=.5, yalign=.5) onlayer overlay
    else:
        show text ("{font=fonts/DS_Kork.ttf}{size=+50}ПОБЕДА{/size}{/font}\n\n Добыча: [gold]") at Position(xalign=.5, yalign=.5) onlayer overlay        
    $ renpy.pause(20.0)
    $ renpy.full_restart()

label lb_gameover_time:
    show bg with vpunch
    'Всё кругом трясется, от грохота механизмов, которые запечатывают сейчас внешние ворота. Время истекло и никто не выйдет больше из этого подземелья...'
    jump lb_gameover
    
label lb_gameover_health:
    show bg blood
    'От этих ран тебе не оправиться. Good night sweet prince!'
    jump lb_gameover

label lb_gameover:   
    scene bg corpse
    play sound "sound/gameover.ogg"
    show text "{font=fonts/DS_Kork.ttf}{size=+50}GAME OVER{/size}{/font}" at Position(xalign=.5, yalign=.5) with dissolve
    $ renpy.pause(5.0)
    hide text with dissolve
    hide bg with dissolve 
    $ renpy.full_restart()

#Дополнительные экраны

label lb_help:
    $ gold = 0
    $ health = 0
    $ hls = 'Х' * health
    $ tar_loc = 'lb_help_cont'
    hide bg
    show black
    $ config.rollback_enabled = True
    nvlator '       Игра поддерживает управление мышью, клавиатурой или через тачскрин на android устройствах.\n\n
    Для выбора пункта меню с клавиатуры используйте стрелки и Enter.\n\n 
    Правый клик мышкой или кнопка ESC отправят вас в меню настроек игры. Полноэкранный режим можно переключать клавишами Alt+Enter или F в любой момент.\n\n
    Если на экране нет никакого меню, кликните мышью в любой точке экрана или нажмите пробел чтобы перейти дальше.\n\n
    Нажатие средней кнопки мыши или клавиши “H” скроет текст и позволит рассмотреть фоновую картинку.'
    nvl clear
    nvlator '   В этой игре вы выступаете в роли представителя гильдии воров, который сдаёт экзамен на звание Мастера-Вора. Чтобы доказать своё право носить это высокое звание, вам придётся войти в специально выстроенное подземелье, полное опасных монстров и ловушек, добраться до логова дракона в самом его центре, украсть как можно больше сокровищ и вернуться обратно прежде чем истечет отведенное время.\n    Вот что надо знать: подземелье имеет строго квадратную форму. Внутри в семь рядов и семь колонок размещается 49 комнат. Центральная комната — логово огнедышащего дракона, где тот спит на огромной груде сокровищ. Войти в подземелье и выйти из него можно через любую угловую комнату (на северо-востоке, юго-востоке, северо-западе и юго-западе). Двери будут открыты ровно полчаса, после чего закроются навсегда. Вы не обязаны выходить там же где вошли — любая дверь подойдёт, главное успеть. Выйти с пустыми руками, значит обречь себя на позор. Чтобы заслужить право покинуть подземелье, найдите там хоть какую-то ценную вещь. Но конечно, настоящий Мастер-Вор должен установить рекорд и вынести больше всех своих предшественников. Ваш рекордный результат будет запоминаться и отображаться на главном экране.'
    nvl clear
    nvlator '   Чтобы не потерять счет времени, смотрите на часы в правом верхнем углу.\n   В каждой комнате перед вами будет вставать тот или иной выбор. Некоторые действия отнимут у вас время: если время истечет до того как вы покинете лабиринт — вы проиграли. Другие угрожают вашему здоровью: получив пять ранений вы умрёте. С монстрами можно сражаться, но награды это не сулит. Иногда мудро будет просто обойти их. Лабиринт меняется при каждом новом прохождении и может оказаться проще или сложнее. Иногда он может оказаться и вовсе непроходимым, оканчиваясь тупиками со всех сторон. Попробуйте искать потайные проходы. Но никто не гарантирует что они там будут. Иногда остаётся только сдаться. Сложность игры высока, поэтому готовьтесь к тому что будете умирать часто. Особенно если гонитесь за новым рекордом по золоту. Но каждый заход в лабиринт отнимет у вас всего несколько минут, так что пробовать можно многократно. Не бойтесь умереть — в следующий раз повезет больше. Таков дзен игры.'
    nvl clear
    nvlator '   Помимо времени, золота и запаса здоровья, ваш персонаж так же имеет три атрибута: сила, концентрация и удача. Выборы полагающиеся на силу отмечаются красным цветом. Если выбор подсвечен синим то вам нужно будет проверить свою концентрацию, а если желтым — положиться на удачу. В сражении от силы зависят рукопашные атаки, от концентрации — волшебные, а от удачи — стрелковые. Разные монстры могут быть более или менее уязвимы для разных типов атак. Например пауки боятся магического огня. А вот стрелять в скелета из арбалета — плохая идея. Экспериментируйте. Узнавайте своих врагов.
Стартовые характеристики зависят от выбранного персонажа. 
Некоторые из найденных предметов могут усилить ваши характеристики и даже добавить здоровья. Например кольчуга увеличивает здоровье, а волшебная палочка концентрацию. Знать заранее какие попадутся сокровища и что они вам дадут невозможно. Экспериментируйте. Исследуйте.\n\n   Удачи!'
    $ renpy.full_restart()   